var add = require('../add');
var multiply = require('../multiply');

/**
 * Calculate the theorem of Pythagoras.
 *
 * @param {number} a Length of one side of the triangle
 * @param {number} b Length of one side of the triangle
 * @return {number} Hypotenuse
 *
 * @example
 * var slm = require('s-lib-math');
 *
 * slm.theorems.hypotenuse(3, 4);
 * //=> 5
 */
module.exports = function(a, b) {
  var formula = Math.sqrt(add(multiply(a, a), multiply(b, b)));
  return formula;
};
